## rust-hickory-resolver 0.24.0

=== debian/changelog ===
rust-hickory-resolver (0.24.0-1) unstable; urgency=medium

  * Package hickory-resolver 0.24.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 19 Jan 2024 15:25:27 +0100
