=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets --all-features
Features: test-name=rust-hickory-resolver:@
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+test-util-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets
Features: test-name=librust-hickory-resolver-dev:default
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+test-util-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets --no-default-features --features dns-over-h3
Features: test-name=librust-hickory-resolver-dev:dns-over-h3
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+test-util-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets --no-default-features --features dns-over-https
Features: test-name=librust-hickory-resolver-dev:dns-over-https
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+test-util-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets --no-default-features --features dns-over-https-rustls
Features: test-name=librust-hickory-resolver-dev:dns-over-https-rustls
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+test-util-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-resolver 0.24.0 --all-targets --no-default-features --features dns-over-native-tls
