## rust-hickory-resolver 0.24.1

=== debian/changelog ===
rust-hickory-resolver (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-resolver 0.24.1 from crates.io using debcargo 2.6.1
  * Backport fix for test failures due to example.com's IP changing from
    93.184.216.34 to 93.184.215.14

 -- James McCoy <jamessan@debian.org>  Wed, 01 May 2024 12:14:48 -0400
