=== debian/control ===
Source: rust-hickory-resolver
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-hickory-proto-0.24+tokio-runtime-dev <!nocheck>,
 librust-hickory-proto-0.24-dev <!nocheck>,
 librust-lru-cache-0.1+default-dev (>= 0.1.2-~~) <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
 librust-parking-lot-0.12+default-dev <!nocheck>,
 librust-rand-0.8+default-dev <!nocheck>,
 librust-resolv-conf-0.7+default-dev <!nocheck>,
 librust-resolv-conf-0.7+system-dev <!nocheck>,
 librust-smallvec-1+default-dev (>= 1.6-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.21-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-resolver]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-resolver
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-resolver
Rules-Requires-Root: no

Package: librust-hickory-resolver-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-hickory-proto-0.24+dns-over-h3-dev,
 librust-hickory-proto-0.24+dns-over-https-dev,
 librust-hickory-proto-0.24+dns-over-https-rustls-dev,
 librust-hickory-proto-0.24+dns-over-native-tls-dev,
 librust-hickory-proto-0.24+dns-over-openssl-dev,
 librust-hickory-proto-0.24+dns-over-quic-dev,
 librust-hickory-proto-0.24+dns-over-rustls-dev,
 librust-hickory-proto-0.24+dnssec-openssl-dev,
 librust-hickory-proto-0.24+dnssec-ring-dev,
 librust-hickory-proto-0.24+native-certs-dev,
 librust-hickory-proto-0.24+serde-config-dev,
 librust-hickory-proto-0.24+tokio-runtime-dev,
 librust-hickory-proto-0.24-dev,
 librust-lru-cache-0.1+default-dev (>= 0.1.2-~~),
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-parking-lot-0.12+default-dev,
 librust-rand-0.8+default-dev,
 librust-resolv-conf-0.7+default-dev,
 librust-resolv-conf-0.7+system-dev,
 librust-rustls-0.21+default-dev (>= 0.21.6-~~),
 librust-rustls-0.21+quic-dev (>= 0.21.6-~~),
 librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-smallvec-1+default-dev (>= 1.6-~~),
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+rt-dev (>= 1.21-~~),
 librust-tokio-native-tls-0.3+default-dev,
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.24+default-dev,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~)
Provides:
 librust-hickory-resolver+default-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-resolver+dnssec-dev (= ${binary:Version}),
 librust-hickory-resolver+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-resolver+native-certs-dev (= ${binary:Version}),
 librust-hickory-resolver+resolv-conf-dev (= ${binary:Version}),
 librust-hickory-resolver+rustls-dev (= ${binary:Version}),
 librust-hickory-resolver+serde-dev (= ${binary:Version}),
 librust-hickory-resolver+serde-config-dev (= ${binary:Version}),
 librust-hickory-resolver+system-config-dev (= ${binary:Version}),
 librust-hickory-resolver+testing-dev (= ${binary:Version}),
 librust-hickory-resolver+tokio-dev (= ${binary:Version}),
 librust-hickory-resolver+tokio-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver+tokio-runtime-dev (= ${binary:Version}),
 librust-hickory-resolver+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0-dev (= ${binary:Version}),
 librust-hickory-resolver-0+default-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dnssec-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-resolver-0+native-certs-dev (= ${binary:Version}),
 librust-hickory-resolver-0+resolv-conf-dev (= ${binary:Version}),
 librust-hickory-resolver-0+rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+serde-dev (= ${binary:Version}),
 librust-hickory-resolver-0+serde-config-dev (= ${binary:Version}),
 librust-hickory-resolver-0+system-config-dev (= ${binary:Version}),
 librust-hickory-resolver-0+testing-dev (= ${binary:Version}),
 librust-hickory-resolver-0+tokio-dev (= ${binary:Version}),
 librust-hickory-resolver-0+tokio-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0+tokio-runtime-dev (= ${binary:Version}),
 librust-hickory-resolver-0+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+default-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+native-certs-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+resolv-conf-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+rustls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+serde-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+serde-config-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+system-config-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+testing-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+tokio-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+tokio-native-tls-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+tokio-runtime-dev (= ${binary:Version}),
 librust-hickory-resolver-0.24+tokio-rustls-dev (= ${binary:Version}),
Description: Hickory DNS is a safe and secure DNS library - Rust source code
 This Resolver library  uses the Client library to perform all DNS queries. The
 Resolver is intended to be a high-level library for any DNS record resolution
 see Resolver and AsyncResolver for supported resolution types. The Client can
 be used for other queries.
 .
 Source code for Debianized Rust crate "hickory-resolver"
