## rust-hickory-resolver 0.24.4

=== debian/changelog ===
rust-hickory-resolver (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-resolver 0.24.4 from crates.io using debcargo 2.7.8
  * Drop backport-example.com-dns-fix.patch, presumablly included upstream
  * Add patch to support rustls 0.23
  * Add patch to continue using rustls-native-certs 0.6 despite update to
    rustls 0.23
  * Bump dependency on hickory-proto
  * Update overridden control file.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 12 Mar 2025 09:28:33 +0000
