=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: rust-hickory-resolver
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native <!nocheck>,
- rustc:native (>= 1.67.0) <!nocheck>,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
+ rustc:native (>= 1.71.1) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
- librust-hickory-proto-0.24+tokio-runtime-dev <!nocheck>,
- librust-hickory-proto-0.24-dev <!nocheck>,
+ librust-hickory-proto-0.24+tokio-runtime-dev (>= 0.24.3-~~) <!nocheck>,
+ librust-hickory-proto-0.24-dev (>= 0.24.3-~~) <!nocheck>,
  librust-lru-cache-0.1+default-dev (>= 0.1.2-~~) <!nocheck>,
  librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
  librust-parking-lot-0.12+default-dev <!nocheck>,
@@ -23,7 +23,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-resolver]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-resolver
 Homepage: https://hickory-dns.org/
@@ -35,30 +35,36 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ librust-backtrace-0.3+default-dev (>= 0.3.50-~~),
  librust-cfg-if-1+default-dev,
  librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
- librust-hickory-proto-0.24+dns-over-h3-dev,
- librust-hickory-proto-0.24+dns-over-https-dev,
- librust-hickory-proto-0.24+dns-over-https-rustls-dev,
- librust-hickory-proto-0.24+dns-over-native-tls-dev,
- librust-hickory-proto-0.24+dns-over-openssl-dev,
- librust-hickory-proto-0.24+dns-over-quic-dev,
- librust-hickory-proto-0.24+dns-over-rustls-dev,
- librust-hickory-proto-0.24+dnssec-openssl-dev,
- librust-hickory-proto-0.24+dnssec-ring-dev,
- librust-hickory-proto-0.24+native-certs-dev,
- librust-hickory-proto-0.24+serde-config-dev,
- librust-hickory-proto-0.24+tokio-runtime-dev,
- librust-hickory-proto-0.24-dev,
+ librust-hickory-proto-0.24+backtrace-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-h3-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-https-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-https-rustls-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-native-tls-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-openssl-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-quic-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dns-over-rustls-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dnssec-openssl-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+dnssec-ring-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+native-certs-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+serde-config-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24+tokio-runtime-dev (>= 0.24.3-~~),
+ librust-hickory-proto-0.24-dev (>= 0.24.3-~~),
  librust-lru-cache-0.1+default-dev (>= 0.1.2-~~),
  librust-once-cell-1+default-dev (>= 1.18.0-~~),
  librust-parking-lot-0.12+default-dev,
+ librust-quinn-0.11+log-dev (>= 0.11.2-~~),
+ librust-quinn-0.11+runtime-tokio-dev (>= 0.11.2-~~),
+ librust-quinn-0.11+rustls-dev (>= 0.11.2-~~),
  librust-rand-0.8+default-dev,
  librust-resolv-conf-0.7+default-dev,
  librust-resolv-conf-0.7+system-dev,
- librust-rustls-0.21+default-dev (>= 0.21.6-~~),
- librust-rustls-0.21+quic-dev (>= 0.21.6-~~),
- librust-rustls-native-certs-0.6+default-dev (>= 0.6.3-~~),
+ librust-rustls-0.23+logging-dev,
+ librust-rustls-0.23+std-dev,
+ librust-rustls-0.23+tls12-dev,
+ librust-rustls-native-certs-0.6+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-smallvec-1+default-dev (>= 1.6-~~),
@@ -67,9 +73,10 @@
  librust-tokio-1+rt-dev (>= 1.21-~~),
  librust-tokio-native-tls-0.3+default-dev,
  librust-tokio-openssl-0.6+default-dev,
- librust-tokio-rustls-0.24+default-dev,
+ librust-tokio-rustls-0.26+default-dev,
  librust-tracing-0.1+default-dev (>= 0.1.30-~~)
 Provides:
+ librust-hickory-resolver+backtrace-dev (= ${binary:Version}),
  librust-hickory-resolver+default-dev (= ${binary:Version}),
  librust-hickory-resolver+dns-over-h3-dev (= ${binary:Version}),
  librust-hickory-resolver+dns-over-https-dev (= ${binary:Version}),
@@ -95,6 +102,7 @@
  librust-hickory-resolver+tokio-runtime-dev (= ${binary:Version}),
  librust-hickory-resolver+tokio-rustls-dev (= ${binary:Version}),
  librust-hickory-resolver-0-dev (= ${binary:Version}),
+ librust-hickory-resolver-0+backtrace-dev (= ${binary:Version}),
  librust-hickory-resolver-0+default-dev (= ${binary:Version}),
  librust-hickory-resolver-0+dns-over-h3-dev (= ${binary:Version}),
  librust-hickory-resolver-0+dns-over-https-dev (= ${binary:Version}),
@@ -120,6 +128,7 @@
  librust-hickory-resolver-0+tokio-runtime-dev (= ${binary:Version}),
  librust-hickory-resolver-0+tokio-rustls-dev (= ${binary:Version}),
  librust-hickory-resolver-0.24-dev (= ${binary:Version}),
+ librust-hickory-resolver-0.24+backtrace-dev (= ${binary:Version}),
  librust-hickory-resolver-0.24+default-dev (= ${binary:Version}),
  librust-hickory-resolver-0.24+dns-over-h3-dev (= ${binary:Version}),
  librust-hickory-resolver-0.24+dns-over-https-dev (= ${binary:Version}),
